/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*               EPI Pomdapi, INRIA Paris - Rocquencourt               */
/*                                                                     */
/*  Copyright 2005-2014 INRIA.                                         */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: send_communication.hpp,v 1.9 2014/01/10 19:22:09 fclement Exp $ */

#include "communication.hpp"
#include "send_typed_value.hpp"

#ifndef _SEND_COMMUNICATION_H
#define _SEND_COMMUNICATION_H

using namespace std;

namespace io{

  void send(ostream& ob,Communication & t);
  void send_communication(ostream& ob,Communication & t);
  //void send(ostream& ob,OTyped_value & p);
  
}
# endif
